"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const common_vendor = require("./common/vendor.js");
require("./common/libraries/request.js");
const common_store_useWeAppAuthStore = require("./common/store/useWeAppAuthStore.js");
const common_libraries_updateManager = require("./common/libraries/updateManager.js");
require("./gen/Apis.js");
require("./common/libraries/apiLoading.js");
if (!Math) {
  "./pages/loading.js";
  "./pages/login.js";
  "./pages/index/index.js";
  "./pages/me/index.js";
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "App",
  setup(__props) {
    const auth = common_store_useWeAppAuthStore.useWeAppAuthStore();
    common_vendor.onLaunch(async () => {
      const app = common_vendor.getCurrentInstance();
      await auth.login(app);
      console.log("App Launch");
      common_libraries_updateManager.CheckUpdate();
    });
    common_vendor.onShow(async () => {
      console.log("App Show");
    });
    common_vendor.onHide(() => {
      console.log("App Hide");
    });
    return () => {
    };
  }
});
const App = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/App.vue"]]);
function createApp() {
  const app = common_vendor.createSSRApp(App);
  app.use(common_vendor.uviewPlus);
  app.config.globalProperties.$onLaunched = new Promise((resolve) => {
    app.config.globalProperties.$isResolve = resolve;
  });
  app.use(common_vendor.createPinia());
  return {
    app,
    Pinia: common_vendor.Pinia
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
